boot9strap 1.1 released

Discussion in '3DS - Homebrew Development and Emulators' started by sora10pls, Jun 4, 2017.

  1. sora10pls
    OP

    sora10pls Official GBAtemp Trash™

    Member
    168
    182
    Oct 25, 2015
    Canada


  2. SciresM

    SciresM GBAtemp Advanced Fan

    Member
    558
    1,611
    Mar 21, 2014
    United States
    Did "wait until everything's ready" not cue you in on the fact that this doesn't need a thread yet?

    All updating will do at the moment is probably break all the stuff you use. There'll be threads when the time comes.
     
    Atricer, dAVID_ and slaphappygamer like this.
  3. sora10pls
    OP

    sora10pls Official GBAtemp Trash™

    Member
    168
    182
    Oct 25, 2015
    Canada
    I just made the thread since your tweet mentioned "before updating", not posting about it.

    Besides, it was bound to happen anyway. Sorry that I was the one to do so. :P
     
  4. Kilim
    This message by Kilim has been removed from public view by porkiewpyne, Jun 4, 2017.
    Jun 4, 2017
  5. Xiphiidae

    Xiphiidae [ˈzifɨˌdeɪ]

    Member
    2,038
    987
    Sep 13, 2009
    Australia
    If it's not ready yet, then why did you put up a release?
     
  6. SciresM

    SciresM GBAtemp Advanced Fan

    Member
    558
    1,611
    Mar 21, 2014
    United States
    Because it's ready, but nothing else is yet -- or even could be -- breaking changes necessitate the loader updating early.
     
  7. Xiphiidae

    Xiphiidae [ˈzifɨˌdeɪ]

    Member
    2,038
    987
    Sep 13, 2009
    Australia
    Fair enough. I'm just confused about why you felt the need to tweet it before everything necessary to update is ready.
     
    Quantumcat likes this.
  8. SciresM

    SciresM GBAtemp Advanced Fan

    Member
    558
    1,611
    Mar 21, 2014
    United States
    Tweet included "wait until everything's ready before updating", and because I tweet any/all new releases for my github projects :P
     
    TheVinAnator, Disco and klear like this.
  9. lone_wolf323

    lone_wolf323 GBAtemp Fan

    Member
    390
    118
    May 27, 2011
    Canada
    Ive already seen that there are people trying to update to boot9strap but even the guide is showing the v1.1 for this which is giving them errors for trying to install it
     
    Quantumcat, Xiphiidae and zoogie like this.
  10. Majickhat55

    Majickhat55 The Red Woman

    Member
    2,925
    1,368
    Mar 28, 2016
    United States
    Asshai
    Well as of writing this, the hyperlink in the guide "A9LH to B9S" most definitely redirects to the 1.0 release of Boot9Strap. So these people seem to be going by the "most recent version" on their own, then it's nothing to do with the guide.
     
  11. Xiphiidae

    Xiphiidae [ˈzifɨˌdeɪ]

    Member
    2,038
    987
    Sep 13, 2009
    Australia
    It absolutely directs you to the latest release of boot9strap. Release 1.1 was just (a few minutes ago) removed from being the latest release. Until then, it did link to 1.1.
     
    Last edited by Xiphiidae, Jun 4, 2017
    Majickhat55 and Quantumcat like this.
  12. jasonal21

    jasonal21 Yet another waifu material

    Member
    135
    16
    Feb 26, 2015
    Damn, just updated my boot9strap and I got this error. EDIT: I'm trying to launch Luma3DS, but GM9 is booted though. I'll just wait for Luma3DS stable release. [​IMG]
     
    Last edited by jasonal21, Jun 4, 2017
  13. Xiphiidae

    Xiphiidae [ˈzifɨˌdeɪ]

    Member
    2,038
    987
    Sep 13, 2009
    Australia
    Use the latest Luma nightly.
     
  14. Joshwraith

    Joshwraith GBAtemp Fan

    Member
    317
    53
    Jun 4, 2009
    Mexico
    I just hope this not trigger another ban wave, and I don't mean that is not safe to use, is because we know that Nintendo is behaving salty with all related to b9s.
     
    jesterscourt likes this.
  15. JerryShaw

    JerryShaw GBAtemp Regular

    Member
    100
    8
    Feb 7, 2017
    Switzerland
    Is there anyone who updated to 1.1 successfully?
     
  16. Xiphiidae

    Xiphiidae [ˈzifɨˌdeɪ]

    Member
    2,038
    987
    Sep 13, 2009
    Australia
    If you try to update to 1.1 you will do so successfully, but you'll need to use the latest Luma nightly to actually use your 3DS.
     
    JerryShaw likes this.
  17. lone_wolf323

    lone_wolf323 GBAtemp Fan

    Member
    390
    118
    May 27, 2011
    Canada
    I see they changed it back to v1.0. It was for a little bit there linking to the v1.1
     
    Xiphiidae likes this.
  18. Xiphiidae

    Xiphiidae [ˈzifɨˌdeɪ]

    Member
    2,038
    987
    Sep 13, 2009
    Australia
    v1.1 was unmarked as the 'latest release', thankfully.
     
  19. JerryShaw

    JerryShaw GBAtemp Regular

    Member
    100
    8
    Feb 7, 2017
    Switzerland
    OK, I just noticed that the 1.1 is Pre-Release.
     
  20. Xiphiidae

    Xiphiidae [ˈzifɨˌdeɪ]

    Member
    2,038
    987
    Sep 13, 2009
    Australia
    It is now. It was temporarily marked as the latest release and some people mistakenly followed the guide and installed boot9strap 1.1.
     
  21. JerryShaw

    JerryShaw GBAtemp Regular

    Member
    100
    8
    Feb 7, 2017
    Switzerland
    Think I have to wait for a stable release.
     
    Xiphiidae likes this.